from ..WebControl import WebControl

class Box (WebControl):

	def __init__(self, orientation):
		WebControl.__init__(self, "div")
		self.get_style().add_class("uwt-box")

		if orientation == "horizontal":
			self.get_style().add_class("uwt-orientation-horizontal")
		elif orientation == "vertical":
			self.get_style().add_class("uwt-orientation-vertical")